Nodes & Edges
Update node URL
Update a tracked URL on a canvas node.
curl -X PATCH "https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/urls/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"url": "example_string",
"match_type": "exact"
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/urls/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"url": "example_string",
"match_type": "exact"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/urls/example_string", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"url": "example_string",
"match_type": "exact"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"url": "example_string",
"match_type": "exact"
}`)
req, err := http.NewRequest("PATCH", "https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/urls/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/canvases/example_string/nodes/example_string/urls/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"url": "example_string",
"match_type": "exact"
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "url_5kN2mPqR",
"url": "https://acme-retail.com/checkout",
"match_type": "exact",
"created_at": "2024-12-25T10:00:00Z"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
PATCH
/canvases/{canvasId}/nodes/{nodeId}/urls/{urlId}PATCH
Security Scheme
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYpath
canvasIdstring
RequiredCanvas identifier.
path
nodeIdstring
RequiredCanvas node identifier.
path
urlIdstring
RequiredNode URL identifier.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
urlstring
Format: uri
match_typestring
Options: exact, contains, regex
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Path Parameters
canvasIdstring
RequiredCanvas identifier.
nodeIdstring
RequiredCanvas node identifier.
urlIdstring
RequiredNode URL identifier.
Responses
successboolean
dataobject
Was this page helpful?
Built with Documentation.AI
Last updated today